--[[---------------------------------------------------------------------------
	
	Creator: x[N]ir - #4841
	This work is licensed under the Creative Commons 
	Attribution-NonCommercial-ShareAlike 4.0 International License. 
	License details: http://creativecommons.org/licenses/by-nc-sa/4.0/
	
-----------------------------------------------------------------------------]]

--[[---------------------------------------------
	INFOS
-----------------------------------------------]]
camera._AUTHOR  = "x[N]ir"
camera._VERSION = "1.0.0"

--[[---------------------------------------------
	STATUS
-----------------------------------------------]]
camera.OK        = 0
camera.ALARM     = -1

--[[---------------------------------------------
	TYPES
-----------------------------------------------]]
camera.IDLE     = 0
camera.MOBILE   = 1

--[[---------------------------------------------
	PROPERTIES
-----------------------------------------------]]
camera.DEFAULT_HP                = 100
camera.DEFAULT_ROT_DELAY         = 5
camera.DEFAULT_LASER_COLOR       = { 255, 0, 0 }
camera.DEFAULT_LASER_RANGE       = 2
camera.ALARM_DELAY               = 5

--[[---------------------------------------------
	GFX
-----------------------------------------------]]
camera.GFX_CAMERA    = "gfx/xNir/camera/camera.png"
camera.GFX_LASER     = "gfx/xNir/camera/laser.png"
camera.CAMERA_WIDTH  = 24
camera.CAMERA_HEIGHT = 7 

--[[---------------------------------------------
	SFX
-----------------------------------------------]]
camera.SFX_ALARM = "env/alarm.wav"