--[[---------------------------------------------------------------------------
	
	Creator: x[N]ir - #4841
	This work is licensed under the Creative Commons 
	Attribution-NonCommercial-ShareAlike 4.0 International License. 
	License details: http://creativecommons.org/licenses/by-nc-sa/4.0/
	
-----------------------------------------------------------------------------]]

--[[---------------------------------------------------------------------------
	startround
-----------------------------------------------------------------------------]]
function camera.startround( mode )
	-- Through all cameras
	for camID, __ in pairs( camera.list ) do
		-- Update images
		camera.remove( camID )
		camera.display( camID )
	end
end

--[[---------------------------------------------------------------------------
	ms100
-----------------------------------------------------------------------------]]
function camera.ms100()
	-- Living players
	local players = player( 0, "tableliving" )

	-- Through all living players
	for i = 1, #players do
		-- Position in pixels
		local id = players[ i ]
		local tx, ty = player( id, "tilex" ), player( id, "tiley" )

		-- Camera check
		camera.isDetected( id, tx, ty )
	end
	
end

--[[---------------------------------------------------------------------------
	hitzone
-----------------------------------------------------------------------------]]
function camera.hitzone( iid, pid, oid, wpn, x, y, dmg )
	-- Get the Camera if possible
	local cam = camera.getCameraByImageID( iid )
	if not cam then return end

	-- Update HP
	cam.hp = cam.hp - dmg

	-- The camera has no more hp
	if cam.hp <= 0 then
		-- We destroy the camera
		camera.destroy( cam )
	end
end